composition.reorder
Re-sequence the instances of one slot in a single atomic batch (position = index).
- Scope:
composition.write - System: no
- Reachable from:
POST /v1/commands/composition.reorder(tenant credential) · MCP toolcomposition.reorder· SDKclient.call('composition.reorder', …) - Events:
composition.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "ordered": { "items": { "minLength": 1, "type": "string" }, "minItems": 1, "type": "array" }, "slot": { "pattern": "^(storefront|admin):[a-z0-9_.]+$", "type": "string" }, "store": { "minLength": 1, "type": "string" } }, "required": [ "store", "slot", "ordered" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "count": { "maximum": 9007199254740991, "minimum": -9007199254740991, "type": "integer" } }, "required": [ "count" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)